From 53042b5b2d672dec5a526e1e93d7d72379234ddf Mon Sep 17 00:00:00 2001
From: Guennadi Liakhovetski <g.liakhovetski@gmx.de>
Date: Thu, 12 Apr 2012 12:52:31 +0200
Subject: [PATCH] sensors: Remove redundant variable

The status variable and its manipulations in the open_sensors() function
are completely redundant. Remove the variable.

Change-Id: I71f70943333c2e48d6f5d6056e9ebda28cf05ba5
---
 libsensors/sensors.cpp |    4 +---
 1 files changed, 1 insertions(+), 3 deletions(-)

diff --git a/device/samsung/crespo/libsensors/sensors.cpp b/device/samsung/crespo/libsensors/sensors.cpp
index 847f3ca..4812078 100644
--- a/device/samsung/crespo/libsensors/sensors.cpp
+++ b/device/samsung/crespo/libsensors/sensors.cpp
@@ -308,7 +308,6 @@ static int poll__poll(struct sensors_poll_device_t *dev,
 static int open_sensors(const struct hw_module_t* module, const char* id,
                         struct hw_device_t** device)
 {
-        int status = -EINVAL;
         sensors_poll_context_t *dev = new sensors_poll_context_t();
 
         memset(&dev->device, 0, sizeof(sensors_poll_device_t));
@@ -322,8 +321,7 @@ static int open_sensors(const struct hw_module_t* module, const char* id,
         dev->device.poll            = poll__poll;
 
         *device = &dev->device.common;
-        status = 0;
 
-        return status;
+        return 0;
 }
 
-- 
1.7.2.5

